PPPOE-SERVER(8)

NOM
pppoe-server - Serveur PPPoE espace utilisateur

SYNOPSIS
pppoe-server [options]

DESCRIPTION
pppoe-server est un serveur espace utilisateur pour PPPoE (Point-to-Point Protocol over Ethernet) pour Linux et autres systèmes UNIX. pppoe-server travaille de concert avec le client pppoe pour répondre aux paquets de découverte PPPoE et établir des sessions PPPoE.

OPTIONS

-F  L'option -F empêche pppoe-server de se dédoubler et devenir démon. Par défaut, il crée un processus fils et devient un démon.

-I interface
    L'option -I spécifie l'interface Ethernet à utiliser. Sous Linux, celle-ci est typiquement eth0 ou eth1. L'interface devrait être « montée » avant que vous ne démarriez pppoe-server, mais ne devrait pas être configurée pour avoir une adresse IP. Vous pouvez fournir plusieurs options -I si vous voulez que le serveur réponde à plus d'une interface.

-T timeout
    Cette option est passée directement à pppoe ; voir pppoe(8) pour les détails. Si vous utilisez PPPoE en mode noyau, cette option est sans effet.

-C nom_ca
    Spécifie quel nom rapporter comme nom de concentrateur d'accès. S'il n'est pas fourni, le nom de l'hôte est utilisé.

-S nom
    Offre un service nommé nom. Plusieurs options -S peuvent être spécifiées ; chacune d'elles provoque l'inscription du service nommé dans une balise Nom-Service de la trame PADO. La première option -S spécifie le service par défaut, et est utilisée si le client PPPoE sollicite un Nom-Service de longueur zéro.

-m MSS
    Cette option est passée directement à pppoe ; voir pppoe(8) pour les détails. Si vous utilisez PPPoE en mode noyau, cette option est sans effet.

-s  Cette option est passée directement à pppoe ; voir pppoe(8) pour les détails. De plus, elle force pppd à être lancé avec l'option sync.

-L ip
    Fixe l'adresse IP locale. Elle est passée au processus pppd engendré. Si elle n'est pas spécifiée, l'adresse par défaut est 10.0.0.1.

-R ip
    Fixe l'adresse IP distante de départ. Une fois les sessions établies, les adresses IP sont allouées à partir de ip. pppoe-server conserve automatiquement la trace du groupe d'adresses et transmet une adresse IP distante valide à pppd. Si elle n'est pas spécifiée, l'adresse de départ 10.67.15.1 est utilisée.

-O nom_fichier
    Force pppoe-server à dire à pppd d'utiliser le fichier d'options nom_fichier à la place de celui par défaut /etc/ppp/pppoe-server-options.

-N nb
    Autorise au plus nb sessions PPPoE simultanées. Si elle n'est pas spécifiée, la valeur par défaut est 64.

-p nom_fichier
    Lit le fichier nom_fichier spécifié qui est un fichier texte consistant en une adresse IP par ligne. Ces adresses IP seront affectées aux clients. Le nombre de sessions permises sera égal au nombre d'adresses trouvées dans le fichier. L'option -p annule les options -R et -N. En plus de contenir des adresses IP, ce fichier peut contenir des lignes de la forme :
        a.b.c.d-e
    qui inclut toutes les adresses IP de a.b.c.d à a.b.c.e. Par exemple, la ligne :
        1.2.3.4-7
    est équivalent à :
        1.2.3.4
        1.2.3.5
        1.2.3.6
        1.2.3.7

-r  Demande au serveur PPPoE de permuter aléatoirement les numéros de sessions. Au lieu de remettre les sessions dans l'ordre, les numéros de sessions sont affectés dans un ordre imprévisible.

-u  Demande au serveur d'invoquer pppd avec l'option unit. Notez que cette option ne fonctionne qu'avec la version 2.4.0 ou supérieure de pppd.

-o offset
    Au lieu de débuter la numérotation des sessions PPPoE à 1, la numérotation débutera à offset+1. Cela vous permet de lancer plusieurs serveurs sur une machine donnée ; assurez-vous simplement que les numéros de sessions ne se recouvrent pas.

-f disc:sess
    L'option -f règle les types de trame Ethernet pour la découverte PPPoE et les trames de session. Les types sont spécifiés par des nombres hexadécimaux séparés par deux points. Le standard PPPoE utilise des types de trames 8863:8864. Vous ne devriez pas utiliser cette option à moins d'être absolument certain que le vis-à-vis auquel vous ayez affaire utilise des types de trame non normalisés.

-k  L'option -k demande au serveur d'utiliser PPPoE en mode noyau sous Linux. Cette option est disponible seulement pour les noyaux linux 2.4.0 ou supérieurs, et seulement si le serveur a été construit avec le support du mode noyau.

-h  L'option -h affiche un court message d'usage et quitte.

FONCTIONNEMENT
pppoe-server se met à l'écoute de paquets de découverte PPPoE entrants. Quand une session est établie, un processus pppd est engendré. Les options suivantes sont passées à pppd :
nodetach noaccomp nobsdcom nodeflate nopcomp novj novjccomp
default-asyncmap
De plus, les adresses IP locale et distante sont configurées en fonction des options -L et -R. L'option pty est fournie à une commande pppoe pour initier la session PPPoE. Enfin, des options pppd supplémentaires peuvent être placées dans le fichier /etc/ppp/pppoe-server-options (qui doit exister, même s'il est vide !) Notez que pppoe-server est principalement conçu pour le test de clients PPPoE. Ce n'est pas un serveur à hautes performances conçu pour une utilisation en production.

AUTEUR
pppoe-server a été écrit par David F. Skoll <dfs@roaringpenguin.com>. La page d'accueil pppoe est http://www.roaringpenguin.com/pppoe/.

VOIR AUSSI
pppoe-start(8), pppoe-stop(8), pppoe-connect(8), pppd(8), pppoe.conf(5), pppoe(8), pppoe-setup(8), pppoe-status(8), pppoe-sniff(8), pppoe-relay(8)

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 3 février 2003 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 pppoe-server ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.